Page MenuHomePhabricator

rust-dirs-multiset: add `DirsChildrenMultiset`
ClosedPublic

Authored by Alphare on Jan 14 2020, 12:33 PM.

Details

Summary

In a future patch, this structure will be needed to store information needed by
the (also upcoming) IgnoreMatcher.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Jan 14 2020, 12:33 PM
kevincox accepted this revision.Jan 15 2020, 10:06 AM
kevincox added inline comments.
rust/hg-core/src/dirstate/dirs_multiset.rs
170

I would put this check into a helper function.

rust/hg-core/src/utils/files.rs
86

This should probably be a helper on HgPath? It would be much easier to understand what it is doing if it had a name.

Alphare marked 2 inline comments as done.Jan 15 2020, 4:56 PM
Alphare updated this revision to Diff 19319.
Alphare updated this revision to Diff 19353.Jan 16 2020, 5:22 AM
kevincox accepted this revision.Jan 16 2020, 7:46 AM
kevincox added inline comments.
rust/hg-core/src/utils/hg_path.rs
200

"suffix" isn't clear to me. Maybe split_dir_from_file? That's a bit wordy but I feel that it gets the point across. Or split_file_name.

Alphare updated this revision to Diff 19358.Jan 16 2020, 7:48 AM
Alphare updated this revision to Diff 19383.Jan 16 2020, 4:50 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.